### Hierarchy

- PromiseWithEvent

## Index

### Constructors

- constructor

### Properties

- eventEmitter
- reject
- resolve

## Constructors

### constructor

- new PromiseWithEvent(justPromise?: boolean): PromiseWithEvent

- - Defined in core/promiEvent/index.ts:6

  #### Parameters

  - ##### Optional justPromise: boolean

  #### Returns PromiseWithEvent

## Properties

### eventEmitter

eventEmitter: any

- Defined in core/promiEvent/index.ts:6

### reject

reject: any

- Defined in core/promiEvent/index.ts:5

### resolve

resolve: any

- Defined in core/promiEvent/index.ts:4

Generated using TypeDoc